@echo off
setlocal
echo.



:main_routine
set /p DRIVE_LETTER=Please enter the USwitch driver letter: 
echo.

if not exist %DRIVE_LETTER%:\config.txt goto error_not_uswitch


echo Copying CON firmware
copy HID8CON.pfw %DRIVE_LETTER%:\

:update_cpu


set /a COUNTER=8
for /L %%i in (1,1,%COUNTER%) do (
  echo Copying CPU %%i firmware
  copy HIDCPU%%i.pfw %DRIVE_LETTER%:\
)

:end
endlocal
echo.
echo Done
pause
exit /b 0

:usage
endlocal
echo Usage: %0 ^<ports^> [/CPUONLY^|/CONONLY]
echo.
echo ^<ports^>:  Number of USwitch ports (4/8)
echo /CPUONLY: Update CPU portions only
echo /CONONLY: Update CON portion only
echo.
pause
exit /b 1

:error_not_uswitch
endlocal
echo Unable to find CONFIG.TXT on drive %DRIVE_LETTER%\:
pause
exit /b 2

